aboutsummaryrefslogtreecommitdiff
path: root/vimPlugins/PlugUpdate.sh
diff options
context:
space:
mode:
Diffstat (limited to 'vimPlugins/PlugUpdate.sh')
-rwxr-xr-xvimPlugins/PlugUpdate.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/vimPlugins/PlugUpdate.sh b/vimPlugins/PlugUpdate.sh
new file mode 100755
index 0000000..ad48183
--- /dev/null
+++ b/vimPlugins/PlugUpdate.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+#This script updates vim plugins using git submodules.
+#
+#
+#MIT License
+#
+#Copyright (c) 2018 Tucker Evans
+#
+#Permission is hereby granted, free of charge, to any person obtaining a copy
+#of this software and associated documentation files (the "Software"), to deal
+#in the Software without restriction, including without limitation the rights
+#to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+#copies of the Software, and to permit persons to whom the Software is
+#furnished to do so, subject to the following conditions:
+#
+#The above copyright notice and this permission notice shall be included in all
+#copies or substantial portions of the Software.
+#
+#THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+#IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+#FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+#AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+#LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+#OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+#SOFTWARE.
+
+if [ "$PWD" != "$HOME/dotfiles" ]
+then
+ echo "Must be run in $HOME/dotfiles"
+ exit 1
+fi
+
+
+while getopts o opt; do
+ if [ "$opt" == "h" ]
+ then
+ nroff .PlugHelp.tr
+ exit 0
+ fi
+done
+
+git submodule update --remote --merge && \
+git commit -m"Updated vim plugins." && echo "Success"